## NAME

           binlegs - Maintain the GMT-SYSTEM index files

## SYNOPSIS

           binlegs leglistfile [ -R ] [ -D ] [ -Ppath ] [ -V ]

## DESCRIPTION

           binlegs  will  make  changes  to  the  GMT-SYSTEM  files gmt_legs.d and
           gmt_index.b for the legs listed in the leglistfile. Normally, only  the
           data archivist will need to be concerned with these operations.

           leglistfile
                  Contains the list of legs to be worked on.

## OPTIONS

           No space between the option flag and the associated arguments

           -R     Replace  the current information if a leg already is in the sys-
                  tem. [Default is append].

           -D     Delete information for these legs from the system index files.

           -P     Set the path to  where  the  gmt_legs.d  and  gmt_index.b  files
                  reside. [Default is the $GMTHOME/lib.mgg directory].

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

## EXAMPLES

           To add new cruises to the system:

           binlegs newlegs.lis -V -P/usr/lib/gmt

           To remove bad legs from the system:

           binlegs badlegs.lis -D -V -P/usr/lib/gmt

## SEE ALSO

           gmt(GMTMANSECTION), gmtlegs(GMTMANSECTION), gmt2bin(GMTMANSECTION)

## REFERENCES

           Wessel, P., and W. H. F. Smith, 2004, The Generic Mapping  Tools  (GMT)
           version 4 Technical Reference & Cookbook, SOEST/NOAA.
           Wessel,  P., and W. H. F. Smith, 1998, New, Improved Version of Generic
           Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
           Wessel, P., and W. H. F. Smith, 1995, New Version of the  Generic  Map-
           ping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
           Wessel,  P.,  and W. H. F. Smith, 1995, New Version of the Generic Map-
           ping Tools Released, http: American Geophysical Union.
           Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and  Dis-
           play Data, EOS Trans., AGU, 72 (41), p. 441.